Bug 127391 - [ata] [patch] Intel 6300ESB SATA150 cannot find disk and boot under 6.3 [regression]
Summary: [ata] [patch] Intel 6300ESB SATA150 cannot find disk and boot under 6.3 [regr...
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: unspecified
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alexander Motin
URL:
Keywords:
Depends on: 204554
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-14 22:30 UTC by satz
Modified: 2015-11-29 17:17 UTC (History)
1 user (show)

See Also:


Attachments
src-sys-i386-isa-clock-c_against-6-4-PRERELEASE.patch (598 bytes, patch)
2008-11-12 14:29 UTC, corsmith
no flags Details | Diff
src_sys_dev_ata_ata-chipset-c.patch (415 bytes, patch)
2008-11-17 15:52 UTC, corsmith
no flags Details | Diff
smime.p7s (2.38 KB, application/pkcs7-signature)
2010-01-04 02:00 UTC, satz
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description satz 2008-09-14 22:30:01 UTC
I am using 6.1 on a Dell PowerEdge 750 machine with an Intel 6300ESB
SATA150 controller. 6.1 works fine. 6.3 fails to boot due to its not
initializing ata1 where my sata disk is located as ad2. ata0 is initialized
just fine which has the cdrom. Consequently 6.3 cannot find root nor boot.

How-To-Repeat: Try to boot 6.3 on a Dell Poweredge 750.
Comment 1 satz 2008-09-14 22:39:14 UTC
6.3 boot verbose output:

OK show
show
LINES=3D24
acpi_load=3DYES
autoboot_delay=3DNO
bootfile=3Dkernel
comconsole_speed=3D9600
console=3Dcomconsole
currdev=3Ddisk1s2a:
hint.acpi.0.oem=3DDELL
hint.acpi.0.revision=3D1
hint.acpi.0.rsdt=3D0x000fdc54
hint.adv.0.at=3Disa

hint.adv.0.disabled=3D1
hint.aha.0.at=3Disa
hint.aha.0.disabled=3D1
hint.aic.0.at=3Disa
hint.aic.0.disabled=3D1
hint.apm.0.disabled=3D1
hint.apm.0.flags=3D0x20
hint.ata.0.at=3Disa
hint.ata.0.irq=3D14
hint.ata.0.port=3D0x1F0
hint.ata.1.at=3Disa
hint.ata.1.irq=3D15
  --more--  <space> page down <enter> line down <q> quit

hint.ata.1.port=3D0x170
  --more--  <space> page down <enter> line down <q> quit


hint.atkbd.0.at=3Datkbdc
hint.atkbd.0.irq=3D1
hint.atkbdc.0.at=3Disa
hint.atkbdc.0.port=3D0x060
hint.bt.0.at=3Disa
hint.bt.0.disabled=3D1
hint.cs.0.at=3Disa
hint.cs.0.disabled=3D1
hint.cs.0.port=3D0x300
hint.ed.0.at=3Disa
hint.ed.0.disabled=3D1
hint.ed.0.irq=3D10
hint.ed.0.maddr=3D0xd8000
hint.ed.0.port=3D0x280
hint.fd.0.at=3Dfdc0
hint.fd.0.drive=3D0
hint.fd.1.at=3Dfdc0
hint.fd.1.drive=3D1
hint.fdc.0.at=3Disa
hint.fdc.0.drq=3D2
hint.fdc.0.irq=3D6
hint.fdc.0.port=3D0x3F0
hint.fe.0.at=3Disa
  --more--  <space> page down <enter> line down <q> quit

hint.fe.0.disabled=3D1
  --more--  <space> page down <enter> line down <q> quit


hint.fe.0.port=3D0x300
hint.ie.0.at=3Disa
hint.ie.0.disabled=3D1
hint.ie.0.irq=3D10
hint.ie.0.maddr=3D0xd0000
hint.ie.0.port=3D0x300
hint.lnc.0.at=3Disa
hint.lnc.0.disabled=3D1
hint.lnc.0.drq=3D0
hint.lnc.0.irq=3D10
hint.lnc.0.port=3D0x280
hint.ppc.0.at=3Disa
hint.ppc.0.irq=3D7
hint.psm.0.at=3Datkbdc
hint.psm.0.irq=3D12
hint.sc.0.at=3Disa
hint.sc.0.flags=3D0x100
hint.sio.0.at=3Disa
hint.sio.0.flags=3D0x10
hint.sio.0.irq=3D4
hint.sio.0.port=3D0x3F8
hint.sio.1.at=3Disa
hint.sio.1.irq=3D3
  --more--  <space> page down <enter> line down <q> quit

hint.sio.1.port=3D0x2F8
  --more--  <space> page down <enter> line down <q> quit


hint.sio.2.at=3Disa
hint.sio.2.disabled=3D1
hint.sio.2.irq=3D5
hint.sio.2.port=3D0x3E8
hint.sio.3.at=3Disa
hint.sio.3.disabled=3D1
hint.sio.3.irq=3D9
hint.sio.3.port=3D0x2E8
hint.sn.0.at=3Disa
hint.sn.0.disabled=3D1
hint.sn.0.irq=3D10
hint.sn.0.port=3D0x300
hint.vga.0.at=3Disa
hint.vt.0.at=3Disa
hint.vt.0.disabled=3D1
interpret=3DOK
kernel=3Dkernel
kernel_options=3D
kernelname=3D/boot/kernel/kernel
loaddev=3Ddisk1s2a:
mac_ifoff=3DNO
module_path=3D/boot/kernel;/boot/modules
prompt=3D${interpret}
  --more--  <space> page down <enter> line down <q> quit

OK set boot_verbose=3D"1"
set boot_verbose=3D"1"
OK
OK boot
boot
|=08/=08-=08\=08|=08/=08-=08\=08|=08/=08-=08\=08|=08/=08-=08\=08|=08/=08-=08=
\=08|=08/=08-=08\=08|=08/boot/kernel/=20
acpi.ko text=3D0x4495c /=08-=08\=08|=08/=08-=08\=08|=08/=08-=08\=08|=08/=08=
-=08\=08|=08/=08-=08data=3D0x24c0=20
+0x1b8c \=08syms=3D[0x4+0x7d50|=08/=08+0x4+0xaae0-=08\=08]
|=08/=08-=08\=08|=08/=08-=08SMAP type=3D01 base=3D0000000000000000 =
len=3D00000000000a0000

SMAP type=3D01 base=3D0000000000100000 len=3D000000007fec0000
SMAP type=3D02 base=3D000000007ffcfc00 len=3D0000000000000400
SMAP type=3D03 base=3D000000007ffc0000 len=3D000000000000fc00
SMAP type=3D02 base=3D000000007ffd0000 len=3D0000000000020000
SMAP type=3D02 base=3D000000007fff0000 len=3D000000000000f000
SMAP type=3D02 base=3D00000000fed20000 len=3D000000000006ffff
SMAP type=3D02 base=3D00000000fec00000 len=3D0000000000090000
SMAP type=3D02 base=3D00000000fee00000 len=3D0000000000010000
SMAP type=3D02 base=3D00000000ffb00000 len=3D0000000000500000
Copyright (c) 1992-2008 The FreeBSD Project.
Copyright (c) 1979, 1980, 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
	The Regents of the University of California. All rights =
reserved.
FreeBSD is a registered trademark of The FreeBSD Foundation.
FreeBSD 6.3-RELEASE-p4 #8: Fri Sep 12 14:10:45 MDT 2008
     satz@fnu.iranger.com:/usr/src/sys/i386/compile/FNU
Preloaded elf kernel "/boot/kernel/kernel" at 0xc0787000.
Preloaded elf module "/boot/kernel/acpi.ko" at 0xc078719c.
MP Configuration Table version 1.4 found at 0xc00f0000
Table 'FACP' at 0xfdc84
Table 'APIC' at 0xfdcf8
MADT: Found table at 0xfdcf8
APIC: Using the MADT enumerator.
MADT: Found CPU APIC ID 0 ACPI ID 1: enabled
MADT: Found CPU APIC ID 1 ACPI ID 2: enabled
ACPI APIC Table: <DELL   PE750   >
Calibrating clock(s) ... i8254 clock: 1193163 Hz
CLK_USE_I8254_CALIBRATION not specified - using default frequency
Timecounter "i8254" frequency 1193182 Hz quality 0
Calibrating TSC clock ... TSC clock: 3200126180 Hz
CPU: Intel(R) Pentium(R) 4 CPU 3.20GHz (3200.13-MHz 686-class CPU)
   Origin =3D "GenuineIntel"  Id =3D 0xf29  Stepping =3D 9
   =20
Features=3D0xbfebfbff<FPU,VME,DE,PSE,TSC,MSR,PAE,MCE,CX8,APIC,SEP,MTRR,PGE=
=20
,MCA,CMOV,PAT,PSE36,CLFLUSH,DTS,ACPI,MMX,FXSR,SSE,SSE2,SS,HTT,TM,PBE>
   Features2=3D0x4400<CNXT-ID,xTPR>
   Logical CPUs per core: 2
real memory  =3D 2147221504 (2047 MB)
Physical memory chunk(s):
0x0000000000001000 - 0x000000000009ffff, 651264 bytes (159 pages)
0x0000000000100000 - 0x00000000003fffff, 3145728 bytes (768 pages)
0x0000000000825000 - 0x000000007db70fff, 2100609024 bytes (512844 pages)
avail memory =3D 2100592640 (2003 MB)
bios32: Found BIOS32 Service Directory header at 0xc00ffe80
bios32: Entry =3D 0xffe90 (c00ffe90)  Rev =3D 0  Len =3D 1
pcibios: PCI BIOS entry at 0xf0000+0xc9de
pnpbios: Found PnP BIOS data at 0xc00fe2d0
pnpbios: Entry =3D f0000:e2f4  Rev =3D 1.0
Other BIOS signatures found:
APIC: CPU 0 has ACPI ID 1
MADT: Found IO APIC ID 2, Interrupt 0 at 0xfec00000
ioapic0: Changing APIC ID to 2
ioapic0: Routing external 8259A's -> intpin 0
MADT: Found IO APIC ID 3, Interrupt 24 at 0xfec10000
ioapic1: Changing APIC ID to 3
lapic0: Routing NMI -> LINT1
lapic0: LINT1 trigger: edge
lapic0: LINT1 polarity: high
lapic1: Routing NMI -> LINT1
lapic1: LINT1 trigger: edge
lapic1: LINT1 polarity: high
MADT: Interrupt override: source 0, irq 2
ioapic0: Routing IRQ 0 -> intpin 2
MADT: Interrupt override: source 9, irq 9
ioapic0: intpin 9 trigger: level
ioapic0 <Version 2.0> irqs 0-23 on motherboard
ioapic1 <Version 2.0> irqs 24-47 on motherboard
cpu0 BSP:
      ID: 0x00000000   VER: 0x00050014 LDR: 0x00000000 DFR: 0xffffffff
   lint0: 0x00010700 lint1: 0x00000400 TPR: 0x00000000 SVR: 0x000001ff
   timer: 0x000100ef therm: 0x00010000 err: 0x00010000 pcm: 0x00010000
kbd: new array size 4
kbd1 at kbdmux0
random: <entropy source, Software, Yarrow>
mem: <memory>
Pentium Pro MTRR support enabled
io: <I/O>
null: <null device, zero device>
nfslock: pseudo-device
npx0: INT 16 interface
acpi0: <DELL PE750> on motherboard
ioapic0: routing intpin 9 (ISA IRQ 9) to vector 48
acpi0: [MPSAFE]
pci_open(1):	mode 1 addr port (0x0cf8) is 0x8000ec2c
pci_open(1a):	mode1res=3D0x80000000 (0x80000000)
pci_cfgcheck:	device 0 [class=3D060000] [hdr=3D00] is there =
(id=3D25788086)
pcibios: BIOS version 2.10
AcpiOsDerivePciId: \_SB_.PCI0.ISA_.P40C -> bus 0 dev 31 func 0
AcpiOsDerivePciId: \_SB_.PCI0.ISA_.P41C -> bus 0 dev 31 func 0
acpi0: Power Button (fixed)
acpi0: wakeup code va 0xd9f75000 pa 0x9e000
ACPI timer: 1/0 1/0 1/0 1/0 1/0 1/0 1/0 1/0 1/0 1/0 -> 10
Timecounter "ACPI-fast" frequency 3579545 Hz quality 1000
acpi_timer0: <24-bit timer at 3.579545MHz> port 0x808-0x80b on acpi0
pci_link0:        Index  IRQ  Rtd  Ref  IRQs
   Initial Probe       0   11   N     0  3 4 5 6 7 10 11 12
   Validation          0   11   N     0  3 4 5 6 7 10 11 12
   After Disable       0  255   N     0  3 4 5 6 7 10 11 12
pci_link1:        Index  IRQ  Rtd  Ref  IRQs
   Initial Probe       0    5   N     0  3 4 5 6 7 10 11 12
   Validation          0    5   N     0  3 4 5 6 7 10 11 12
   After Disable       0  255   N     0  3 4 5 6 7 10 11 12
pci_link2:        Index  IRQ  Rtd  Ref  IRQs
   Initial Probe       0   11   N     0  3 4 5 6 7 10 11 12
   Validation          0   11   N     0  3 4 5 6 7 10 11 12
   After Disable       0  255   N     0  3 4 5 6 7 10 11 12
pci_link3:        Index  IRQ  Rtd  Ref  IRQs
   Initial Probe       0   10   N     0  3 4 5 6 7 10 11 12
   Validation          0   10   N     0  3 4 5 6 7 10 11 12
   After Disable       0  255   N     0  3 4 5 6 7 10 11 12
pci_link4:        Index  IRQ  Rtd  Ref  IRQs
   Initial Probe       0   10   N     0  3 4 5 6 7 10 11 12
   Validation          0   10   N     0  3 4 5 6 7 10 11 12
   After Disable       0  255   N     0  3 4 5 6 7 10 11 12
pci_link5:        Index  IRQ  Rtd  Ref  IRQs
   Initial Probe       0    7   N     0  3 4 5 6 7 10 11 12
   Validation          0    7   N     0  3 4 5 6 7 10 11 12
   After Disable       0  255   N     0  3 4 5 6 7 10 11 12
pci_link6:        Index  IRQ  Rtd  Ref  IRQs
   Initial Probe       0    7   N     0  3 4 5 6 7 10 11 12
   Validation          0    7   N     0  3 4 5 6 7 10 11 12
   After Disable       0  255   N     0  3 4 5 6 7 10 11 12
cpu0: <ACPI CPU> on acpi0
cpu0: switching to generic Cx mode
pcib0: <ACPI Host-PCI bridge> port 0xcf8-0xcff on acpi0
pci0: <ACPI PCI bus> on pcib0
pci0: physical bus=3D0
found->	vendor=3D0x8086, dev=3D0x2578, revid=3D0x02
	bus=3D0, slot=3D0, func=3D0
	class=3D06-00-00, hdrtype=3D0x00, mfdev=3D0
	cmdreg=3D0x0106, statreg=3D0x2090, cachelnsz=3D0 (dwords)
	lattimer=3D0x00 (0 ns), mingnt=3D0x00 (0 ns), maxlat=3D0x00 (0 =
ns)
	map[10]: type 3, range 32, base fe400000, size 22, enabled
found->	vendor=3D0x8086, dev=3D0x257b, revid=3D0x02
	bus=3D0, slot=3D3, func=3D0
	class=3D06-04-00, hdrtype=3D0x01, mfdev=3D0
	cmdreg=3D0x0107, statreg=3D0x00a0, cachelnsz=3D0 (dwords)
	lattimer=3D0x40 (1920 ns), mingnt=3D0x06 (1500 ns), maxlat=3D0x00 =
(0 ns)
found->	vendor=3D0x8086, dev=3D0x25ae, revid=3D0x02
	bus=3D0, slot=3D28, func=3D0
	class=3D06-04-00, hdrtype=3D0x01, mfdev=3D0
	cmdreg=3D0x0107, statreg=3D0x0030, cachelnsz=3D16 (dwords)
	lattimer=3D0x40 (1920 ns), mingnt=3D0x07 (1750 ns), maxlat=3D0x00 =
(0 ns)
found->	vendor=3D0x8086, dev=3D0x25a9, revid=3D0x02
	bus=3D0, slot=3D29, func=3D0
	class=3D0c-03-00, hdrtype=3D0x00, mfdev=3D1
	cmdreg=3D0x0005, statreg=3D0x0280, cachelnsz=3D0 (dwords)
	lattimer=3D0x00 (0 ns), mingnt=3D0x00 (0 ns), maxlat=3D0x00 (0 =
ns)
	intpin=3Da, irq=3D11
	map[20]: type 4, range 32, base r0000cce0, size  5, enabled
pcib0: matched entry for 0.29.INTA
pcib0: slot 29 INTA hardwired to IRQ 16
found->	vendor=3D0x8086, dev=3D0x25aa, revid=3D0x02
	bus=3D0, slot=3D29, func=3D1
	class=3D0c-03-00, hdrtype=3D0x00, mfdev=3D0
	cmdreg=3D0x0005, statreg=3D0x0280, cachelnsz=3D0 (dwords)
	lattimer=3D0x00 (0 ns), mingnt=3D0x00 (0 ns), maxlat=3D0x00 (0 =
ns)
	intpin=3Db, irq=3D10
	map[20]: type 4, range 32, base r0000ccc0, size  5, enabled
pcib0: matched entry for 0.29.INTB
pcib0: slot 29 INTB hardwired to IRQ 19
found->	vendor=3D0x8086, dev=3D0x25ab, revid=3D0x02
	bus=3D0, slot=3D29, func=3D4
	class=3D08-80-00, hdrtype=3D0x00, mfdev=3D0
	cmdreg=3D0x0002, statreg=3D0x0280, cachelnsz=3D0 (dwords)
	lattimer=3D0x00 (0 ns), mingnt=3D0x00 (0 ns), maxlat=3D0x00 (0 =
ns)
	map[10]: type 1, range 32, base fe300400, size  4, enabled
found->	vendor=3D0x8086, dev=3D0x25ac, revid=3D0x02
	bus=3D0, slot=3D29, func=3D5
	class=3D08-00-20, hdrtype=3D0x00, mfdev=3D0
	cmdreg=3D0x0106, statreg=3D0x0010, cachelnsz=3D0 (dwords)
	lattimer=3D0x00 (0 ns), mingnt=3D0x00 (0 ns), maxlat=3D0x00 (0 =
ns)
found->	vendor=3D0x8086, dev=3D0x25ad, revid=3D0x02
	bus=3D0, slot=3D29, func=3D7
	class=3D0c-03-20, hdrtype=3D0x00, mfdev=3D0
	cmdreg=3D0x0106, statreg=3D0x0290, cachelnsz=3D0 (dwords)
	lattimer=3D0x00 (0 ns), mingnt=3D0x00 (0 ns), maxlat=3D0x00 (0 =
ns)
	intpin=3Dd, irq=3D7
	powerspec 2  supports D0 D3  current D0
	map[10]: type 1, range 32, base fe300000, size 10, enabled
pcib0: matched entry for 0.29.INTD
pcib0: slot 29 INTD hardwired to IRQ 23
found->	vendor=3D0x8086, dev=3D0x244e, revid=3D0x0a
	bus=3D0, slot=3D30, func=3D0
	class=3D06-04-00, hdrtype=3D0x01, mfdev=3D0
	cmdreg=3D0x0107, statreg=3D0x0080, cachelnsz=3D0 (dwords)
	lattimer=3D0x00 (0 ns), mingnt=3D0x0b (2750 ns), maxlat=3D0x00 =
(0 ns)
found->	vendor=3D0x8086, dev=3D0x25a1, revid=3D0x02
	bus=3D0, slot=3D31, func=3D0
	class=3D06-01-00, hdrtype=3D0x00, mfdev=3D1
	cmdreg=3D0x014f, statreg=3D0x0280, cachelnsz=3D0 (dwords)
	lattimer=3D0x00 (0 ns), mingnt=3D0x00 (0 ns), maxlat=3D0x00 (0 =
ns)
found->	vendor=3D0x8086, dev=3D0x25a3, revid=3D0x02
	bus=3D0, slot=3D31, func=3D2
	class=3D01-01-8a, hdrtype=3D0x00, mfdev=3D0
	cmdreg=3D0x0005, statreg=3D0x02a8, cachelnsz=3D0 (dwords)
	lattimer=3D0x00 (0 ns), mingnt=3D0x00 (0 ns), maxlat=3D0x00 (0 =
ns)
	intpin=3Da, irq=3D255
	map[20]: type 4, range 32, base r0000fea0, size  4, enabled
found->	vendor=3D0x8086, dev=3D0x25a4, revid=3D0x02
	bus=3D0, slot=3D31, func=3D3
	class=3D0c-05-00, hdrtype=3D0x00, mfdev=3D0
	cmdreg=3D0x0001, statreg=3D0x0280, cachelnsz=3D0 (dwords)
	lattimer=3D0x00 (0 ns), mingnt=3D0x00 (0 ns), maxlat=3D0x00 (0 =
ns)
	intpin=3Db, irq=3D5
	map[20]: type 4, range 32, base r000008c0, size  5, enabled
pcib0: matched entry for 0.31.INTB
pcib0: slot 31 INTB hardwired to IRQ 17
pcib1: <ACPI PCI-PCI bridge> at device 3.0 on pci0
pcib1:   secondary bus     1
pcib1:   subordinate bus   1
pcib1:   I/O decode        0xe000-0xefff
pcib1:   memory decode     0xfe100000-0xfe2fffff
pcib1:   prefetched decode 0xfff00000-0xfffff
pci1: <ACPI PCI bus> on pcib1
pci1: physical bus=3D1
found->	vendor=3D0x8086, dev=3D0x1075, revid=3D0x00
	bus=3D1, slot=3D1, func=3D0
	class=3D02-00-00, hdrtype=3D0x00, mfdev=3D0
	cmdreg=3D0x0007, statreg=3D0x0238, cachelnsz=3D16 (dwords)
	lattimer=3D0x00 (0 ns), mingnt=3D0xff (63750 ns), maxlat=3D0x00 =
(0 ns)
	intpin=3Da, irq=3D11
	powerspec 2  supports D0 D3  current D0
	map[10]: type 1, range 32, base fe1e0000, size 17, enabled
pcib1: requested memory range 0xfe1e0000-0xfe1fffff: good
	map[18]: type 4, range 32, base r0000ece0, size  5, enabled
pcib1: requested I/O range 0xece0-0xecff: in range
pcib1: matched entry for 1.1.INTA
pcib1: slot 1 INTA hardwired to IRQ 18
em0: <Intel(R) PRO/1000 Network Connection Version - 6.7.2> port =20
0xece0-0xecff mem 0xfe1e0000-0xfe1fffff irq 18 at device 1.0 on pci1
em0: Reserved 0x20000 bytes for rid 0x10 type 3 at 0xfe1e0000
em0: Reserved 0x20 bytes for rid 0x18 type 4 at 0xece0
em0: bpf attached
em0: Ethernet address: 00:c0:9f:3a:f1:98
ioapic0: routing intpin 18 (PCI IRQ 18) to vector 49
em0: [MPSAFE]
pcib2: <ACPI PCI-PCI bridge> at device 28.0 on pci0
pcib2:   secondary bus     2
pcib2:   subordinate bus   2

pcib2:   I/O decode        0xf000-0xfff
pcib2:   memory decode     0xfff00000-0xfffff
pcib2:   prefetched decode 0xfff00000-0xfffff
pci2: <ACPI PCI bus> on pcib2
pci2: physical bus=3D2
uhci0: <UHCI (generic) USB controller> port 0xcce0-0xccff irq 16 at =20
device 29.0 on pci0
uhci0: Reserved 0x20 bytes for rid 0x20 type 4 at 0xcce0
ioapic0: routing intpin 16 (PCI IRQ 16) to vector 50
uhci0: [GIANT-LOCKED]
usb0: <UHCI (generic) USB controller> on uhci0
usb0: USB revision 1.0
uhub0: Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1
uhub0: 2 ports with 2 removable, self powered
uhci1: <UHCI (generic) USB controller> port 0xccc0-0xccdf irq 19 at =20
device 29.1 on pci0
uhci1: Reserved 0x20 bytes for rid 0x20 type 4 at 0xccc0
ioapic0: routing intpin 19 (PCI IRQ 19) to vector 51
uhci1: [GIANT-LOCKED]
usb1: <UHCI (generic) USB controller> on uhci1
usb1: USB revision 1.0
uhub1: Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1
uhub1: 2 ports with 2 removable, self powered
pci0: <base peripheral> at device 29.4 (no driver attached)
pci0: <serial bus, USB> at device 29.7 (no driver attached)
pcib3: <ACPI PCI-PCI bridge> at device 30.0 on pci0
pcib3:   secondary bus     3
pcib3:   subordinate bus   3
pcib3:   I/O decode        0xd000-0xdfff
pcib3:   memory decode     0xfc000000-0xfdffffff
pcib3:   prefetched decode 0xfe800000-0xfe8fffff
pcib3:   Subtractively decoded bridge.
pci3: <ACPI PCI bus> on pcib3
pci3: physical bus=3D3
found->	vendor=3D0x8086, dev=3D0x1076, revid=3D0x00
	bus=3D3, slot=3D2, func=3D0
	class=3D02-00-00, hdrtype=3D0x00, mfdev=3D0
	cmdreg=3D0x0117, statreg=3D0x0230, cachelnsz=3D16 (dwords)
	lattimer=3D0x20 (960 ns), mingnt=3D0xff (63750 ns), maxlat=3D0x00 =
(0 ns)
	intpin=3Da, irq=3D10
	powerspec 2  supports D0 D3  current D0
	map[10]: type 1, range 32, base fdee0000, size 17, enabled
pcib3: requested memory range 0xfdee0000-0xfdefffff: good
	map[18]: type 4, range 32, base r0000dcc0, size  6, enabled
pcib3: requested I/O range 0xdcc0-0xdcff: in range
pcib3: matched entry for 3.2.INTA
pcib3: slot 2 INTA hardwired to IRQ 21
found->	vendor=3D0x1028, dev=3D0x000c, revid=3D0x00
	bus=3D3, slot=3D3, func=3D0
	class=3Dff-00-00, hdrtype=3D0x00, mfdev=3D1
	cmdreg=3D0x0117, statreg=3D0x0290, cachelnsz=3D16 (dwords)
	lattimer=3D0x20 (960 ns), mingnt=3D0x00 (0 ns), maxlat=3D0x00 (0 =
ns)
	intpin=3Da, irq=3D7
	powerspec 2  supports D0 D3  current D0
	map[10]: type 3, range 32, base fe8ff000, size 12, enabled
pcib3: requested memory range 0xfe8ff000-0xfe8fffff: good
	map[14]: type 4, range 32, base r0000dcb8, size  3, enabled
pcib3: requested I/O range 0xdcb8-0xdcbf: in range
	map[18]: type 4, range 32, base r0000dca8, size  3, enabled
pcib3: requested I/O range 0xdca8-0xdcaf: in range
pcib3: matched entry for 3.3.INTA
pcib3: slot 3 INTA hardwired to IRQ 22
found->	vendor=3D0x1028, dev=3D0x0008, revid=3D0x00
	bus=3D3, slot=3D3, func=3D1
	class=3Dff-00-00, hdrtype=3D0x00, mfdev=3D1
	cmdreg=3D0x0103, statreg=3D0x0290, cachelnsz=3D16 (dwords)
	lattimer=3D0x20 (960 ns), mingnt=3D0x00 (0 ns), maxlat=3D0x00 (0 =
ns)
	intpin=3Db, irq=3D10
	powerspec 2  supports D0 D3  current D0
	map[10]: type 1, range 32, base fdedf000, size 12, enabled
pcib3: requested memory range 0xfdedf000-0xfdedffff: good
	map[14]: type 4, range 32, base r0000dc40, size  6, enabled
pcib3: requested I/O range 0xdc40-0xdc7f: in range
	map[18]: type 3, range 32, base fe800000, size 19, enabled
pcib3: requested memory range 0xfe800000-0xfe87ffff: good
pcib3: matched entry for 3.3.INTB
pcib3: slot 3 INTB hardwired to IRQ 21
found->	vendor=3D0x1028, dev=3D0x000d, revid=3D0x00
	bus=3D3, slot=3D3, func=3D2
	class=3Dff-00-00, hdrtype=3D0x00, mfdev=3D1
	cmdreg=3D0x0103, statreg=3D0x0290, cachelnsz=3D16 (dwords)
	lattimer=3D0x20 (960 ns), mingnt=3D0x00 (0 ns), maxlat=3D0x00 (0 =
ns)
	intpin=3Dc, irq=3D7
	powerspec 2  supports D0 D3  current D0
	map[10]: type 4, range 32, base r0000dcb4, size  2, enabled
pcib3: requested I/O range 0xdcb4-0xdcb7: in range
pcib3: matched entry for 3.3.INTC
pcib3: slot 3 INTC hardwired to IRQ 22
found->	vendor=3D0x1002, dev=3D0x4752, revid=3D0x27
	bus=3D3, slot=3D14, func=3D0
	class=3D03-00-00, hdrtype=3D0x00, mfdev=3D0
	cmdreg=3D0x00a7, statreg=3D0x0290, cachelnsz=3D16 (dwords)
	lattimer=3D0x20 (960 ns), mingnt=3D0x08 (2000 ns), maxlat=3D0x00 =
(0 ns)
	powerspec 2  supports D0 D1 D2 D3  current D0
	map[10]: type 1, range 32, base fc000000, size 24, enabled
pcib3: requested memory range 0xfc000000-0xfcffffff: good
	map[14]: type 4, range 32, base r0000d800, size  8, enabled
pcib3: requested I/O range 0xd800-0xd8ff: in range
	map[18]: type 1, range 32, base fdede000, size 12, enabled
pcib3: requested memory range 0xfdede000-0xfdedefff: good
em1: <Intel(R) PRO/1000 Network Connection Version - 6.7.2> port =20
0xdcc0-0xdcff mem 0xfdee0000-0xfdefffff irq 21 at device 2.0 on pci3
em1: Reserved 0x20000 bytes for rid 0x10 type 3 at 0xfdee0000
em1: Reserved 0x40 bytes for rid 0x18 type 4 at 0xdcc0
em1: bpf attached
em1: Ethernet address: 00:c0:9f:3a:f1:99
ioapic0: routing intpin 21 (PCI IRQ 21) to vector 52
em1: [MPSAFE]
pci3: <unknown> at device 3.0 (no driver attached)
pci3: <unknown> at device 3.1 (no driver attached)
pci3: <unknown> at device 3.2 (no driver attached)
pci3: <display, VGA> at device 14.0 (no driver attached)
isab0: <PCI-ISA bridge> at device 31.0 on pci0
isa0: <ISA bus> on isab0
atapci0: <Intel 6300ESB SATA150 controller> port =20
0x1f0-0x1f7,0x3f6,0x170-0x177,0x376,0xfea0-0xfeaf at device 31.2 on pci0
atapci0: Reserved 0x10 bytes for rid 0x20 type 4 at 0xfea0
ata0: <ATA channel 0> on atapci0
atapci0: Reserved 0x8 bytes for rid 0x10 type 4 at 0x1f0
atapci0: Reserved 0x1 bytes for rid 0x14 type 4 at 0x3f6
ata0: reset tp1 mask=3D03 ostat0=3D50 ostat1=3D00
ata0: stat0=3D0x00 err=3D0x01 lsb=3D0x14 msb=3D0xeb
ata0: stat1=3D0x00 err=3D0x00 lsb=3D0x00 msb=3D0x00
ata0: reset tp2 stat0=3D00 stat1=3D00 devices=3D0x4<ATAPI_MASTER>
ioapic0: routing intpin 14 (ISA IRQ 14) to vector 53
ata0: [MPSAFE]
ata1: <ATA channel 1> on atapci0
atapci0: Reserved 0x8 bytes for rid 0x18 type 4 at 0x170
atapci0: Reserved 0x1 bytes for rid 0x1c type 4 at 0x376
ata1: reset tp1 mask=3D03 ostat0=3D80 ostat1=3D80
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: stat0=3D0x80 err=3D0xff lsb=3D0xff msb=3D0xff
ata1: reset tp2 stat0=3D80 stat1=3D80 devices=3D0x0
ioapic0: routing intpin 15 (ISA IRQ 15) to vector 54
ata1: [MPSAFE]
pci0: <serial bus, SMBus> at device 31.3 (no driver attached)
fdc0: <floppy drive controller> port 0x3f0-0x3f5,0x3f7 irq 6 drq 2 on =20=

acpi0
fdc0: ic_type 90 part_id 73
ioapic0: routing intpin 6 (ISA IRQ 6) to vector 55
fdc0: [MPSAFE]
fdc0: [FAST]
fd0: <1440-KB 3.5" drive> on fdc0 drive 0
atkbdc0: <Keyboard controller (i8042)> port 0x60,0x64 irq 1 on acpi0
atkbd0: <AT Keyboard> irq 1 on atkbdc0
atkbd: the current kbd controller command byte 0065
atkbd: keyboard ID 0x41ab (2)
kbdc: RESET_KBD return code:00fa
kbdc: RESET_KBD status:00aa
kbd0 at atkbd0
kbd0: atkbd0, AT 101/102 (2), config:0x0, flags:0x1d0000
ioapic0: routing intpin 1 (ISA IRQ 1) to vector 56
atkbd0: [GIANT-LOCKED]
psm0: unable to allocate IRQ
psmcpnp0: <PS/2 mouse port> irq 12 on acpi0
psm0: current command byte:0065
kbdc: TEST_AUX_PORT status:0000
kbdc: RESET_AUX return code:00fa
kbdc: RESET_AUX status:00aa
kbdc: RESET_AUX ID:0000
kbdc: RESET_AUX return code:00fa
kbdc: RESET_AUX status:00aa
kbdc: RESET_AUX ID:0000
psm: status 00 02 64
psm: status 1a 03 c8
psm: status 00 03 64
psm: status 00 03 64
psm: data 08 00 00
psm: status 10 00 64
psm: status 1a 03 c8
psm: status 00 02 64
psm0: <PS/2 Mouse> irq 12 on atkbdc0
ioapic0: routing intpin 12 (ISA IRQ 12) to vector 57
psm0: [GIANT-LOCKED]
psm0: model Generic PS/2 mouse, device ID 0-00, 3 buttons
psm0: config:00000000, flags:00000008, packet size:3
psm0: syncmask:c0, syncbits:00
sio0: irq maps: 0xca1 0xcb1 0xca1 0xca1
sio0: <16550A-compatible COM port> port 0x3f8-0x3ff irq 4 flags 0x10 =20
on acpi0
sio0: type 16550A, console
ioapic0: routing intpin 4 (ISA IRQ 4) to vector 58
ata: ata0 already exists; skipping it
ata: ata1 already exists; skipping it
atkbdc: atkbdc0 already exists; skipping it
fdc: fdc0 already exists; skipping it
sio: sio0 already exists; skipping it
sc: sc0 already exists; skipping it
vga: vga0 already exists; skipping it
pnp_identify: Trying Read_Port at 203
pnp_identify: Trying Read_Port at 243
pnp_identify: Trying Read_Port at 283
pnp_identify: Trying Read_Port at 2c3
pnp_identify: Trying Read_Port at 303
pnp_identify: Trying Read_Port at 343
pnp_identify: Trying Read_Port at 383
pnp_identify: Trying Read_Port at 3c3
PNP Identify complete
isa_probe_children: disabling PnP devices
isa_probe_children: probing non-PnP devices
pmtimer0 on isa0
orm0: <ISA Option ROMs> at iomem 0xc0000-0xc7fff,0xc8000-0xc8fff,=20
0xc9000-0xc9fff,0xec000-0xeffff on isa0
adv0: not probed (disabled)
aha0: not probed (disabled)
aic0: not probed (disabled)
bt0: not probed (disabled)
cs0: not probed (disabled)
ed0: not probed (disabled)
fe0: not probed (disabled)
ie0: not probed (disabled)
lnc0: not probed (disabled)
ppc0 failed to probe at irq 7 on isa0
sc0: <System console> at flags 0x100 on isa0
sc0: VGA <16 virtual consoles, flags=3D0x100>
sc0: fb0, kbd1, terminal emulator: sc (syscons terminal)
sio1: irq maps: 0xca1 0xca9 0xca1 0xca1
sio1 at port 0x2f8-0x2ff irq 3 on isa0
sio1: type 16550A
ioapic0: routing intpin 3 (ISA IRQ 3) to vector 59
sio2: not probed (disabled)
sio3: not probed (disabled)
sn0: not probed (disabled)
vga0: <Generic ISA VGA> at port 0x3c0-0x3df iomem 0xa0000-0xbffff on =20
isa0
vt0: not probed (disabled)
isa_probe_children: probing PnP devices
Device configuration finished.
Reducing kern.maxvnodes 134606 -> 100000
procfs registered
lapic: Divisor 2, Frequency 100003957 hz
Timecounter "TSC" frequency 3200126180 Hz quality 800
Timecounters tick every 1em0: Link is up 1000 Mbps Full Duplex
em1: Link is up 100 Mbps Half Duplex
.000 msec
lo0: bpf attached
em0: link state changed to UP
em1: link state changed to UP
ata0-master: pio=3DPIO4 wdma=3DWDMA2 udma=3DUDMA33 cable=3D40 wire
acd0: <SAMSUNG CD-ROM SN-124/N103> CDROM drive at ata0 as master
acd0: read 4134KB/s (4134KB/s), 128KB buffer, UDMA33
acd0: Reads: CDR, CDRW, CDDA stream, packet
acd0: Writes:
acd0: Audio: play, 255 volume levels
acd0: Mechanism: ejectable tray, unlocked
acd0: Medium: no/blank disc
ATA PseudoRAID loaded
Trying to mount root from ufs:/dev/ad2s2a

Manual root filesystem specification:
   <fstype>:<device>  Mount <device> using filesystem <fstype>
                        eg. ufs:da0s1a
   ?                  List valid disk boot devices
   <empty line>       Abort manual input

mountroot>

panic: Root mount failed, startup aborted.
Uptime: 5s
Cannot dump. No dump device defined.
Automatic reboot in 15 seconds - press a key on the console to abort
--> Press a key on the console to reboot,
--> or switch off the system now.
Comment 2 satz 2008-09-14 22:39:45 UTC
Working 6.1 boot verbose output:

set module_path=3D"/boot/kernel6.1;/boot/modules"
OK
OK unload
unload
OK
OK load /boot/kernel6.1/kernel
load /boot/kernel6.1/kernel
|=08/=08-=08\=08|=08/=08-=08\=08|=08/=08-=08\=08|=08/=08-=08\=08|=08/boot/=
kernel6.1/kernel =20
text=3D0x229e54 /=08-=08\=08|=08/=08-=08\=08|=08/=08-=08\=08|=08/=08-=08\=08=
|=08/=08-=08\=08|=08/=08-=08\=08|=08/=08-=08=20
\=08|=08/=08-=08\=08|=08/=08-=08\=08|=08/=08-=08\=08|=08/=08-=08\=08|=08/=08=
-=08\=08|=08/=08-=08\=08|=08/=08-=08\=08|=08/=08-=08=20
\=08|=08/=08-=08\=08|=08/=08-=08\=08|=08/=08-=08\=08|=08/=08-=08\=08|=08/=08=
-=08\=08|=08/=08-=08\=08|=08/=08-=08\=08|=08/=08-=08=20
\=08|=08/=08-=08\=08|=08/=08-=08\=08|=08/=08-=08\=08|=08/=08-=08\=08|=08/=08=
-=08\=08|=08/=08-=08\=08|=08/=08-=08\=08|=08/=08-=08=20
\=08|=08/=08-=08\=08|=08/=08-=08\=08|=08/=08-=08\=08|=08/=08-=08\=08data=3D=
0x2e714+0x25c38 |=08/=08-=08\=08|=08/=08-=08=20
\=08|=08/=08-=08\=08|=08syms=3D[0x4+0x32750/=08-=08\=08|=08/=08-=08\=08|=08=
/=08-=08\=08|=08/=08+0x4+0x40da5-=08=20
\=08|=08/=08-=08\=08|=08/=08-=08\=08|=08/=08-=08\=08|=08/=08]
OK
OK boo=08 =08=08 =08=08 =08set boot_verbose=3D"1"
set boot_verbose=3D"1"
OK
OK boot
boot
-=08\=08|=08/=08-=08\=08|=08/=08-=08\=08|=08/=08-=08\=08|=08/=08-=08\=08|=08=
/=08-=08\=08|=08/=08-=08\=08|=08/=08-=08\=08|=08/=08-=08=20
\=08|=08/=08-=08\=08|=08/=08-=08\=08|=08/boot/kernel6.1/acpi.ko =
text=3D0x42e34 /=08-=08\=08|=08/=08-=08=20
\=08|=08/=08-=08\=08|=08/=08-=08\=08|=08/=08data=3D0x2280+0x10f0 =
-=08syms=3D[0x4+0x7ad0\=08|=08+0x4=20
+0xa709/=08-=08\=08]
|=08/=08-=08\=08|=08/=08-=08SMAP type=3D01 base=3D0000000000000000 =
len=3D00000000000a0000

SMAP type=3D01 base=3D0000000000100000 len=3D000000007fec0000
SMAP type=3D02 base=3D000000007ffcfc00 len=3D0000000000000400
SMAP type=3D03 base=3D000000007ffc0000 len=3D000000000000fc00
SMAP type=3D02 base=3D000000007ffd0000 len=3D0000000000020000
SMAP type=3D02 base=3D000000007fff0000 len=3D000000000000f000
SMAP type=3D02 base=3D00000000fed20000 len=3D000000000006ffff
SMAP type=3D02 base=3D00000000fec00000 len=3D0000000000090000
SMAP type=3D02 base=3D00000000fee00000 len=3D0000000000010000
SMAP type=3D02 base=3D00000000ffb00000 len=3D0000000000500000
Copyright (c) 1992-2006 The FreeBSD Project.
Copyright (c) 1979, 1980, 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
	The Regents of the University of California. All rights =
reserved.
FreeBSD 6.1-RELEASE-p19 #5: Fri Sep  7 23:59:42 MDT 2007
     satz@fnu.iranger.com:/usr/src/sys/i386/compile/FNU
Preloaded elf kernel "/boot/kernel6.1/kernel" at 0xc074d000.
Preloaded elf module "/boot/kernel6.1/acpi.ko" at 0xc074d1a0.
MP Configuration Table version 1.4 found at 0xc00f0000
Table 'FACP' at 0xfdc84
Table 'APIC' at 0xfdcf8
MADT: Found table at 0xfdcf8
APIC: Using the MADT enumerator.
MADT: Found CPU APIC ID 0 ACPI ID 1: enabled
MADT: Found CPU APIC ID 1 ACPI ID 2: enabled
ACPI APIC Table: <DELL   PE750   >
Calibrating clock(s) ... i8254 clock: 1193160 Hz
CLK_USE_I8254_CALIBRATION not specified - using default frequency
Timecounter "i8254" frequency 1193182 Hz quality 0
Calibrating TSC clock ... TSC clock: 3200125332 Hz
CPU: Intel(R) Pentium(R) 4 CPU 3.20GHz (3200.13-MHz 686-class CPU)
   Origin =3D "GenuineIntel"  Id =3D 0xf29  Stepping =3D 9
   =20
Features=3D0xbfebfbff<FPU,VME,DE,PSE,TSC,MSR,PAE,MCE,CX8,APIC,SEP,MTRR,PGE=
=20
,MCA,CMOV,PAT,PSE36,CLFLUSH,DTS,ACPI,MMX,FXSR,SSE,SSE2,SS,HTT,TM,PBE>
   Features2=3D0x4400<CNTX-ID,<b14>>
   Logical CPUs per core: 2
real memory  =3D 2147221504 (2047 MB)
Physical memory chunk(s):
0x0000000000001000 - 0x000000000009ffff, 651264 bytes (159 pages)
0x0000000000100000 - 0x00000000003fffff, 3145728 bytes (768 pages)
0x0000000000825000 - 0x000000007db88fff, 2100707328 bytes (512868 pages)
avail memory =3D 2100703232 (2003 MB)
bios32: Found BIOS32 Service Directory header at 0xc00ffe80
bios32: Entry =3D 0xffe90 (c00ffe90)  Rev =3D 0  Len =3D 1
pcibios: PCI BIOS entry at 0xf0000+0xc9de
pnpbios: Found PnP BIOS data at 0xc00fe2d0
pnpbios: Entry =3D f0000:e2f4  Rev =3D 1.0
Other BIOS signatures found:
APIC: CPU 0 has ACPI ID 1
MADT: Found IO APIC ID 2, Interrupt 0 at 0xfec00000
ioapic0: Changing APIC ID to 2
ioapic0: Routing external 8259A's -> intpin 0
ioapic0: intpin 0 -> ExtINT (edge, high)
ioapic0: intpin 1 -> ISA IRQ 1 (edge, high)
ioapic0: intpin 2 -> ISA IRQ 2 (edge, high)
ioapic0: intpin 3 -> ISA IRQ 3 (edge, high)
ioapic0: intpin 4 -> ISA IRQ 4 (edge, high)
ioapic0: intpin 5 -> ISA IRQ 5 (edge, high)
ioapic0: intpin 6 -> ISA IRQ 6 (edge, high)
ioapic0: intpin 7 -> ISA IRQ 7 (edge, high)
ioapic0: intpin 8 -> ISA IRQ 8 (edge, high)
ioapic0: intpin 9 -> ISA IRQ 9 (edge, high)
ioapic0: intpin 10 -> ISA IRQ 10 (edge, high)
ioapic0: intpin 11 -> ISA IRQ 11 (edge, high)

ioapic0: intpin 12 -> ISA IRQ 12 (edge, high)
ioapic0: intpin 13 -> ISA IRQ 13 (edge, high)
ioapic0: intpin 14 -> ISA IRQ 14 (edge, high)
ioapic0: intpin 15 -> ISA IRQ 15 (edge, high)
ioapic0: intpin 16 -> PCI IRQ 16 (level, low)
ioapic0: intpin 17 -> PCI IRQ 17 (level, low)
ioapic0: intpin 18 -> PCI IRQ 18 (level, low)
ioapic0: intpin 19 -> PCI IRQ 19 (level, low)
ioapic0: intpin 20 -> PCI IRQ 20 (level, low)
ioapic0: intpin 21 -> PCI IRQ 21 (level, low)
ioapic0: intpin 22 -> PCI IRQ 22 (level, low)
ioapic0: intpin 23 -> PCI IRQ 23 (level, low)
MADT: Found IO APIC ID 3, Interrupt 24 at 0xfec10000
ioapic1: Changing APIC ID to 3
ioapic1: intpin 0 -> PCI IRQ 24 (level, low)
ioapic1: intpin 1 -> PCI IRQ 25 (level, low)
ioapic1: intpin 2 -> PCI IRQ 26 (level, low)
ioapic1: intpin 3 -> PCI IRQ 27 (level, low)
ioapic1: intpin 4 -> PCI IRQ 28 (level, low)
ioapic1: intpin 5 -> PCI IRQ 29 (level, low)
ioapic1: intpin 6 -> PCI IRQ 30 (level, low)
ioapic1: intpin 7 -> PCI IRQ 31 (level, low)
ioapic1: intpin 8 -> PCI IRQ 32 (level, low)
ioapic1: intpin 9 -> PCI IRQ 33 (level, low)
ioapic1: intpin 10 -> PCI IRQ 34 (level, low)
ioapic1: intpin 11 -> PCI IRQ 35 (level, low)
ioapic1: intpin 12 -> PCI IRQ 36 (level, low)
ioapic1: intpin 13 -> PCI IRQ 37 (level, low)
ioapic1: intpin 14 -> PCI IRQ 38 (level, low)
ioapic1: intpin 15 -> PCI IRQ 39 (level, low)
ioapic1: intpin 16 -> PCI IRQ 40 (level, low)
ioapic1: intpin 17 -> PCI IRQ 41 (level, low)
ioapic1: intpin 18 -> PCI IRQ 42 (level, low)
ioapic1: intpin 19 -> PCI IRQ 43 (level, low)
ioapic1: intpin 20 -> PCI IRQ 44 (level, low)
ioapic1: intpin 21 -> PCI IRQ 45 (level, low)
ioapic1: intpin 22 -> PCI IRQ 46 (level, low)
ioapic1: intpin 23 -> PCI IRQ 47 (level, low)
lapic0: Routing NMI -> LINT1
lapic0: LINT1 trigger: edge
lapic0: LINT1 polarity: high
lapic1: Routing NMI -> LINT1
lapic1: LINT1 trigger: edge
lapic1: LINT1 polarity: high
MADT: Interrupt override: source 0, irq 2
ioapic0: Routing IRQ 0 -> intpin 2
ioapic0: intpin 2 trigger: edge
ioapic0: intpin 2 polarity: high
MADT: Interrupt override: source 9, irq 9
ioapic0: intpin 9 trigger: level
ioapic0: intpin 9 polarity: high
ioapic0 <Version 2.0> irqs 0-23 on motherboard
ioapic1 <Version 2.0> irqs 24-47 on motherboard
cpu0 BSP:
      ID: 0x00000000   VER: 0x00050014 LDR: 0x00000000 DFR: 0xffffffff
   lint0: 0x00010700 lint1: 0x00000400 TPR: 0x00000000 SVR: 0x000001ff
   timer: 0x000100ef therm: 0x00010000 err: 0x00010000 pcm: 0x00010000
io: <I/O>
nfslock: pseudo-device
kbd: new array size 4
kbd1 at kbdmux0
mem: <memory>
Pentium Pro MTRR support enabled
null: <null device, zero device>
random: <entropy source, Software, Yarrow>
npx0: INT 16 interface
acpi0: <DELL PE750> on motherboard
ioapic0: routing intpin 9 (ISA IRQ 9) to vector 48
acpi0: [MPSAFE]
pci_open(1):	mode 1 addr port (0x0cf8) is 0x8000ec2c
pci_open(1a):	mode1res=3D0x80000000 (0x80000000)
pci_cfgcheck:	device 0 [class=3D060000] [hdr=3D00] is there =
(id=3D25788086)
pcibios: BIOS version 2.10
Found $PIR table, 7 entries at 0xc00fc570
PCI-Only Interrupts: none
Location  Bus Device Pin  Link  IRQs
embedded    0   31    B   0x61  3 4 5 6 7 10 11
embedded    0   29    A   0x60  3 4 5 6 7 10 11
embedded    0   29    B   0x63  3 4 5 6 7 10 11
embedded    0   29    D   0x6b  3 4 5 6 7 10 11
embedded    1    1    A   0x62  3 4 5 6 7 10 11
embedded    3    2    A   0x69  3 4 5 6 7 10 11
slot 1      3    3    A   0x6a  3 4 5 6 7 10 11
slot 1      3    3    B   0x69  3 4 5 6 7 10 11
slot 1      3    3    C   0x6a  3 4 5 6 7 10 11
slot 1      3    3    D   0x69  3 4 5 6 7 10 11
slot 2      2    1    A   0x6a  3 4 5 6 7 10 11
slot 2      2    1    B   0x6a  3 4 5 6 7 10 11
slot 2      2    1    C   0x6a  3 4 5 6 7 10 11
slot 2      2    1    D   0x6a  3 4 5 6 7 10 11
slot 3      2    2    A   0x6a  3 4 5 6 7 10 11
slot 3      2    2    B   0x6a  3 4 5 6 7 10 11
AcpiOsDerivePciId: bus 0 dev 31 func 0
AcpiOsDerivePciId: bus 0 dev 31 func 0
acpi0: Power Button (fixed)
pci_link0: Links after initial probe:
Index  IRQ  Rtd  Ref  IRQs
     0   11   N     0  3 4 5 6 7 10 11 12
pci_link0: Links after initial validation:
Index  IRQ  Rtd  Ref  IRQs
     0   11   N     0  3 4 5 6 7 10 11 12
pci_link0: Links after disable:
Index  IRQ  Rtd  Ref  IRQs
     0  255   N     0  3 4 5 6 7 10 11 12
pci_link1: Links after initial probe:
Index  IRQ  Rtd  Ref  IRQs
     0    5   N     0  3 4 5 6 7 10 11 12
pci_link1: Links after initial validation:
Index  IRQ  Rtd  Ref  IRQs
     0    5   N     0  3 4 5 6 7 10 11 12
pci_link1: Links after disable:
Index  IRQ  Rtd  Ref  IRQs
     0  255   N     0  3 4 5 6 7 10 11 12
pci_link2: Links after initial probe:
Index  IRQ  Rtd  Ref  IRQs
     0   11   N     0  3 4 5 6 7 10 11 12
pci_link2: Links after initial validation:
Index  IRQ  Rtd  Ref  IRQs
     0   11   N     0  3 4 5 6 7 10 11 12
pci_link2: Links after disable:
Index  IRQ  Rtd  Ref  IRQs
     0  255   N     0  3 4 5 6 7 10 11 12
pci_link3: Links after initial probe:
Index  IRQ  Rtd  Ref  IRQs
     0   10   N     0  3 4 5 6 7 10 11 12
pci_link3: Links after initial validation:
Index  IRQ  Rtd  Ref  IRQs
     0   10   N     0  3 4 5 6 7 10 11 12
pci_link3: Links after disable:
Index  IRQ  Rtd  Ref  IRQs
     0  255   N     0  3 4 5 6 7 10 11 12
pci_link4: Links after initial probe:
Index  IRQ  Rtd  Ref  IRQs
     0   10   N     0  3 4 5 6 7 10 11 12
pci_link4: Links after initial validation:
Index  IRQ  Rtd  Ref  IRQs
     0   10   N     0  3 4 5 6 7 10 11 12
pci_link4: Links after disable:
Index  IRQ  Rtd  Ref  IRQs
     0  255   N     0  3 4 5 6 7 10 11 12
pci_link5: Links after initial probe:
Index  IRQ  Rtd  Ref  IRQs
     0    7   N     0  3 4 5 6 7 10 11 12
pci_link5: Links after initial validation:
Index  IRQ  Rtd  Ref  IRQs
     0    7   N     0  3 4 5 6 7 10 11 12
pci_link5: Links after disable:
Index  IRQ  Rtd  Ref  IRQs
     0  255   N     0  3 4 5 6 7 10 11 12
pci_link6: Links after initial probe:
Index  IRQ  Rtd  Ref  IRQs
     0    7   N     0  3 4 5 6 7 10 11 12
pci_link6: Links after initial validation:
Index  IRQ  Rtd  Ref  IRQs
     0    7   N     0  3 4 5 6 7 10 11 12
pci_link6: Links after disable:
Index  IRQ  Rtd  Ref  IRQs
     0  255   N     0  3 4 5 6 7 10 11 12
ACPI timer: 1/0 1/0 1/0 1/0 1/0 1/0 1/0 1/0 1/0 1/0 -> 10
Timecounter "ACPI-fast" frequency 3579545 Hz quality 1000
acpi_timer0: <24-bit timer at 3.579545MHz> port 0x808-0x80b on acpi0
cpu0: <ACPI CPU> on acpi0
pcib0: <ACPI Host-PCI bridge> port 0xcf8-0xcff on acpi0
pci0: <ACPI PCI bus> on pcib0
pci0: physical bus=3D0
found->	vendor=3D0x8086, dev=3D0x2578, revid=3D0x02
	bus=3D0, slot=3D0, func=3D0
	class=3D06-00-00, hdrtype=3D0x00, mfdev=3D0
	cmdreg=3D0x0106, statreg=3D0x2090, cachelnsz=3D0 (dwords)
	lattimer=3D0x00 (0 ns), mingnt=3D0x00 (0 ns), maxlat=3D0x00 (0 =
ns)
	map[10]: type 3, range 32, base fe400000, size 22, enabled
found->	vendor=3D0x8086, dev=3D0x257b, revid=3D0x02
	bus=3D0, slot=3D3, func=3D0
	class=3D06-04-00, hdrtype=3D0x01, mfdev=3D0
	cmdreg=3D0x0107, statreg=3D0x00a0, cachelnsz=3D0 (dwords)
	lattimer=3D0x40 (1920 ns), mingnt=3D0x06 (1500 ns), maxlat=3D0x00 =
(0 ns)
found->	vendor=3D0x8086, dev=3D0x25ae, revid=3D0x02
	bus=3D0, slot=3D28, func=3D0
	class=3D06-04-00, hdrtype=3D0x01, mfdev=3D0
	cmdreg=3D0x0107, statreg=3D0x0030, cachelnsz=3D16 (dwords)
	lattimer=3D0x40 (1920 ns), mingnt=3D0x07 (1750 ns), maxlat=3D0x00 =
(0 ns)
found->	vendor=3D0x8086, dev=3D0x25a9, revid=3D0x02
	bus=3D0, slot=3D29, func=3D0
	class=3D0c-03-00, hdrtype=3D0x00, mfdev=3D1
	cmdreg=3D0x0005, statreg=3D0x0280, cachelnsz=3D0 (dwords)
	lattimer=3D0x00 (0 ns), mingnt=3D0x00 (0 ns), maxlat=3D0x00 (0 =
ns)
	intpin=3Da, irq=3D11
	map[20]: type 4, range 32, base r0000cce0, size  5, enabled
pcib0: matched entry for 0.29.INTA
pcib0: slot 29 INTA hardwired to IRQ 16
found->	vendor=3D0x8086, dev=3D0x25aa, revid=3D0x02
	bus=3D0, slot=3D29, func=3D1
	class=3D0c-03-00, hdrtype=3D0x00, mfdev=3D0
	cmdreg=3D0x0005, statreg=3D0x0280, cachelnsz=3D0 (dwords)
	lattimer=3D0x00 (0 ns), mingnt=3D0x00 (0 ns), maxlat=3D0x00 (0 =
ns)
	intpin=3Db, irq=3D10
	map[20]: type 4, range 32, base r0000ccc0, size  5, enabled
pcib0: matched entry for 0.29.INTB
pcib0: slot 29 INTB hardwired to IRQ 19
found->	vendor=3D0x8086, dev=3D0x25ab, revid=3D0x02
	bus=3D0, slot=3D29, func=3D4
	class=3D08-80-00, hdrtype=3D0x00, mfdev=3D0
	cmdreg=3D0x0002, statreg=3D0x0280, cachelnsz=3D0 (dwords)
	lattimer=3D0x00 (0 ns), mingnt=3D0x00 (0 ns), maxlat=3D0x00 (0 =
ns)
found->	vendor=3D0x8086, dev=3D0x25ac, revid=3D0x02
	bus=3D0, slot=3D29, func=3D5
	class=3D08-00-20, hdrtype=3D0x00, mfdev=3D0
	cmdreg=3D0x0106, statreg=3D0x0010, cachelnsz=3D0 (dwords)
	lattimer=3D0x00 (0 ns), mingnt=3D0x00 (0 ns), maxlat=3D0x00 (0 =
ns)
found->	vendor=3D0x8086, dev=3D0x25ad, revid=3D0x02
	bus=3D0, slot=3D29, func=3D7
	class=3D0c-03-20, hdrtype=3D0x00, mfdev=3D0
	cmdreg=3D0x0106, statreg=3D0x0290, cachelnsz=3D0 (dwords)
	lattimer=3D0x00 (0 ns), mingnt=3D0x00 (0 ns), maxlat=3D0x00 (0 =
ns)
	intpin=3Dd, irq=3D7
	powerspec 2  supports D0 D3  current D0
	map[10]: type 1, range 32, base fe300000, size 10, enabled
pcib0: matched entry for 0.29.INTD
pcib0: slot 29 INTD hardwired to IRQ 23
found->	vendor=3D0x8086, dev=3D0x244e, revid=3D0x0a
	bus=3D0, slot=3D30, func=3D0
	class=3D06-04-00, hdrtype=3D0x01, mfdev=3D0
	cmdreg=3D0x0107, statreg=3D0x0080, cachelnsz=3D0 (dwords)
	lattimer=3D0x00 (0 ns), mingnt=3D0x0b (2750 ns), maxlat=3D0x00 =
(0 ns)
found->	vendor=3D0x8086, dev=3D0x25a1, revid=3D0x02
	bus=3D0, slot=3D31, func=3D0
	class=3D06-01-00, hdrtype=3D0x00, mfdev=3D1
	cmdreg=3D0x014f, statreg=3D0x0280, cachelnsz=3D0 (dwords)
	lattimer=3D0x00 (0 ns), mingnt=3D0x00 (0 ns), maxlat=3D0x00 (0 =
ns)
found->	vendor=3D0x8086, dev=3D0x25a3, revid=3D0x02
	bus=3D0, slot=3D31, func=3D2
	class=3D01-01-8a, hdrtype=3D0x00, mfdev=3D0
	cmdreg=3D0x0005, statreg=3D0x02a8, cachelnsz=3D0 (dwords)
	lattimer=3D0x00 (0 ns), mingnt=3D0x00 (0 ns), maxlat=3D0x00 (0 =
ns)
	intpin=3Da, irq=3D255
	map[20]: type 4, range 32, base r0000fea0, size  4, enabled
found->	vendor=3D0x8086, dev=3D0x25a4, revid=3D0x02
	bus=3D0, slot=3D31, func=3D3
	class=3D0c-05-00, hdrtype=3D0x00, mfdev=3D0
	cmdreg=3D0x0001, statreg=3D0x0280, cachelnsz=3D0 (dwords)
	lattimer=3D0x00 (0 ns), mingnt=3D0x00 (0 ns), maxlat=3D0x00 (0 =
ns)
	intpin=3Db, irq=3D5
	map[20]: type 4, range 32, base r000008c0, size  5, enabled
pcib0: matched entry for 0.31.INTB
pcib0: slot 31 INTB hardwired to IRQ 17
pcib1: <ACPI PCI-PCI bridge> at device 3.0 on pci0
pcib1:   secondary bus     1
pcib1:   subordinate bus   1
pcib1:   I/O decode        0xe000-0xefff
pcib1:   memory decode     0xfe100000-0xfe2fffff
pcib1:   prefetched decode 0xfff00000-0xfffff
pci1: <ACPI PCI bus> on pcib1
pci1: physical bus=3D1
found->	vendor=3D0x8086, dev=3D0x1075, revid=3D0x00
	bus=3D1, slot=3D1, func=3D0
	class=3D02-00-00, hdrtype=3D0x00, mfdev=3D0
	cmdreg=3D0x0007, statreg=3D0x0238, cachelnsz=3D16 (dwords)
	lattimer=3D0x00 (0 ns), mingnt=3D0xff (63750 ns), maxlat=3D0x00 =
(0 ns)
	intpin=3Da, irq=3D11
	powerspec 2  supports D0 D3  current D0
	map[10]: type 1, range 32, base fe1e0000, size 17, enabled
pcib1: (null) requested memory range 0xfe1e0000-0xfe1fffff: good
	map[18]: type 4, range 32, base r0000ece0, size  5, enabled
pcib1: (null) requested I/O range 0xece0-0xecff: in range
pcib1: matched entry for 1.1.INTA
pcib1: slot 1 INTA hardwired to IRQ 18
em0: <Intel(R) PRO/1000 Network Connection Version - 3.2.18> port =20
0xece0-0xecff mem 0xfe1e0000-0xfe1fffff irq 18 at device 1.0 on pci1
em0: Reserved 0x20000 bytes for rid 0x10 type 3 at 0xfe1e0000
em0: Reserved 0x20 bytes for rid 0x18 type 4 at 0xece0
ioapic0: routing intpin 18 (PCI IRQ 18) to vector 49
em0: [MPSAFE]
em0: bpf attached
em0: Ethernet address: 00:c0:9f:3a:f1:98
em0:  Speed:N/A  Duplex:N/A
pcib2: <ACPI PCI-PCI bridge> at device 28.0 on pci0
pcib2:   secondary bus     2
pcib2:   subordinate bus   2

pcib2:   I/O decode        0xf000-0xfff
pcib2:   memory decode     0xfff00000-0xfffff
pcib2:   prefetched decode 0xfff00000-0xfffff
pci2: <ACPI PCI bus> on pcib2
pci2: physical bus=3D2
uhci0: <UHCI (generic) USB controller> port 0xcce0-0xccff irq 16 at =20
device 29.0 on pci0
uhci0: Reserved 0x20 bytes for rid 0x20 type 4 at 0xcce0
ioapic0: routing intpin 16 (PCI IRQ 16) to vector 50
uhci0: [GIANT-LOCKED]
usb0: <UHCI (generic) USB controller> on uhci0
usb0: USB revision 1.0
uhub0: Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1
uhub0: 2 ports with 2 removable, self powered
uhci1: <UHCI (generic) USB controller> port 0xccc0-0xccdf irq 19 at =20
device 29.1 on pci0
uhci1: Reserved 0x20 bytes for rid 0x20 type 4 at 0xccc0
ioapic0: routing intpin 19 (PCI IRQ 19) to vector 51
uhci1: [GIANT-LOCKED]
usb1: <UHCI (generic) USB controller> on uhci1
usb1: USB revision 1.0
uhub1: Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1
uhub1: 2 ports with 2 removable, self powered
pci0: <base peripheral> at device 29.4 (no driver attached)
pci0: <base peripheral, interrupt controller> at device 29.5 (no =20
driver attached)
pci0: <serial bus, USB> at device 29.7 (no driver attached)
pcib3: <ACPI PCI-PCI bridge> at device 30.0 on pci0
pcib3:   secondary bus     3
pcib3:   subordinate bus   3
pcib3:   I/O decode        0xd000-0xdfff
pcib3:   memory decode     0xfc000000-0xfdffffff
pcib3:   prefetched decode 0xfe800000-0xfe8fffff
pcib3:   Subtractively decoded bridge.
pci3: <ACPI PCI bus> on pcib3
pci3: physical bus=3D3
found->	vendor=3D0x8086, dev=3D0x1076, revid=3D0x00
	bus=3D3, slot=3D2, func=3D0
	class=3D02-00-00, hdrtype=3D0x00, mfdev=3D0
	cmdreg=3D0x0117, statreg=3D0x0230, cachelnsz=3D16 (dwords)
	lattimer=3D0x20 (960 ns), mingnt=3D0xff (63750 ns), maxlat=3D0x00 =
(0 ns)
	intpin=3Da, irq=3D10
	powerspec 2  supports D0 D3  current D0
	map[10]: type 1, range 32, base fdee0000, size 17, enabled
pcib3: (null) requested memory range 0xfdee0000-0xfdefffff: good
	map[18]: type 4, range 32, base r0000dcc0, size  6, enabled
pcib3: (null) requested I/O range 0xdcc0-0xdcff: in range
pcib3: matched entry for 3.2.INTA
pcib3: slot 2 INTA hardwired to IRQ 21
found->	vendor=3D0x1028, dev=3D0x000c, revid=3D0x00
	bus=3D3, slot=3D3, func=3D0
	class=3Dff-00-00, hdrtype=3D0x00, mfdev=3D1
	cmdreg=3D0x0117, statreg=3D0x0290, cachelnsz=3D16 (dwords)
	lattimer=3D0x20 (960 ns), mingnt=3D0x00 (0 ns), maxlat=3D0x00 (0 =
ns)
	intpin=3Da, irq=3D7
	powerspec 2  supports D0 D3  current D0
	map[10]: type 3, range 32, base fe8ff000, size 12, enabled
pcib3: (null) requested memory range 0xfe8ff000-0xfe8fffff: good
	map[14]: type 4, range 32, base r0000dcb8, size  3, enabled
pcib3: (null) requested I/O range 0xdcb8-0xdcbf: in range
	map[18]: type 4, range 32, base r0000dca8, size  3, enabled
pcib3: (null) requested I/O range 0xdca8-0xdcaf: in range
pcib3: matched entry for 3.3.INTA
pcib3: slot 3 INTA hardwired to IRQ 22
found->	vendor=3D0x1028, dev=3D0x0008, revid=3D0x00
	bus=3D3, slot=3D3, func=3D1
	class=3Dff-00-00, hdrtype=3D0x00, mfdev=3D1
	cmdreg=3D0x0103, statreg=3D0x0290, cachelnsz=3D16 (dwords)
	lattimer=3D0x20 (960 ns), mingnt=3D0x00 (0 ns), maxlat=3D0x00 (0 =
ns)
	intpin=3Db, irq=3D10
	powerspec 2  supports D0 D3  current D0
	map[10]: type 1, range 32, base fdedf000, size 12, enabled
pcib3: (null) requested memory range 0xfdedf000-0xfdedffff: good
	map[14]: type 4, range 32, base r0000dc40, size  6, enabled
pcib3: (null) requested I/O range 0xdc40-0xdc7f: in range
	map[18]: type 3, range 32, base fe800000, size 19, enabled
pcib3: (null) requested memory range 0xfe800000-0xfe87ffff: good
pcib3: matched entry for 3.3.INTB
pcib3: slot 3 INTB hardwired to IRQ 21
found->	vendor=3D0x1028, dev=3D0x000d, revid=3D0x00
	bus=3D3, slot=3D3, func=3D2
	class=3Dff-00-00, hdrtype=3D0x00, mfdev=3D1
	cmdreg=3D0x0103, statreg=3D0x0290, cachelnsz=3D16 (dwords)
	lattimer=3D0x20 (960 ns), mingnt=3D0x00 (0 ns), maxlat=3D0x00 (0 =
ns)
	intpin=3Dc, irq=3D7
	powerspec 2  supports D0 D3  current D0
	map[10]: type 4, range 32, base r0000dcb4, size  2, enabled
pcib3: (null) requested I/O range 0xdcb4-0xdcb7: in range
pcib3: matched entry for 3.3.INTC
pcib3: slot 3 INTC hardwired to IRQ 22
found->	vendor=3D0x1002, dev=3D0x4752, revid=3D0x27
	bus=3D3, slot=3D14, func=3D0
	class=3D03-00-00, hdrtype=3D0x00, mfdev=3D0
	cmdreg=3D0x00a7, statreg=3D0x0290, cachelnsz=3D16 (dwords)
	lattimer=3D0x20 (960 ns), mingnt=3D0x08 (2000 ns), maxlat=3D0x00 =
(0 ns)
	powerspec 2  supports D0 D1 D2 D3  current D0
	map[10]: type 1, range 32, base fc000000, size 24, enabled
pcib3: (null) requested memory range 0xfc000000-0xfcffffff: good
	map[14]: type 4, range 32, base r0000d800, size  8, enabled
pcib3: (null) requested I/O range 0xd800-0xd8ff: in range
	map[18]: type 1, range 32, base fdede000, size 12, enabled
pcib3: (null) requested memory range 0xfdede000-0xfdedefff: good
em1: <Intel(R) PRO/1000 Network Connection Version - 3.2.18> port =20
0xdcc0-0xdcff mem 0xfdee0000-0xfdefffff irq 21 at device 2.0 on pci3
em1: Reserved 0x20000 bytes for rid 0x10 type 3 at 0xfdee0000
em1: Reserved 0x40 bytes for rid 0x18 type 4 at 0xdcc0
ioapic0: routing intpin 21 (PCI IRQ 21) to vector 52
em1: [MPSAFE]
em1: bpf attached
em1: Ethernet address: 00:c0:9f:3a:f1:99
em1:  Speed:N/A  Duplex:N/A
pci3: <unknown> at device 3.0 (no driver attached)
pci3: <unknown> at device 3.1 (no driver attached)
pci3: <unknown> at device 3.2 (no driver attached)
pci3: <display, VGA> at device 14.0 (no driver attached)
isab0: <PCI-ISA bridge> at device 31.0 on pci0
isa0: <ISA bus> on isab0
atapci0: <Intel 6300ESB SATA150 controller> port =20
0x1f0-0x1f7,0x3f6,0x170-0x177,0x376,0xfea0-0xfeaf at device 31.2 on pci0
atapci0: Reserved 0x10 bytes for rid 0x20 type 4 at 0xfea0
ata0: <ATA channel 0> on atapci0
atapci0: Reserved 0x8 bytes for rid 0x10 type 4 at 0x1f0
atapci0: Reserved 0x1 bytes for rid 0x14 type 4 at 0x3f6
ata0: reset tp1 mask=3D03 ostat0=3D50 ostat1=3D00
ata0: stat0=3D0x00 err=3D0x01 lsb=3D0x14 msb=3D0xeb
ata0: stat1=3D0x00 err=3D0x00 lsb=3D0x00 msb=3D0x00
ata0: reset tp2 stat0=3D00 stat1=3D00 devices=3D0x4<ATAPI_MASTER>
ioapic0: routing intpin 14 (ISA IRQ 14) to vector 53
ata0: [MPSAFE]
ata1: <ATA channel 1> on atapci0
atapci0: Reserved 0x8 bytes for rid 0x18 type 4 at 0x170
atapci0: Reserved 0x1 bytes for rid 0x1c type 4 at 0x376
ata1: reset tp1 mask=3D03 ostat0=3D50 ostat1=3D00
ata1: stat0=3D0xd0 err=3D0x01 lsb=3D0x00 msb=3D0x00
ata1: stat0=3D0x50 err=3D0x01 lsb=3D0x00 msb=3D0x00
ata1: stat1=3D0x00 err=3D0x01 lsb=3D0x00 msb=3D0x00
ata1: reset tp2 stat0=3D50 stat1=3D00 devices=3D0x1<ATA_MASTER>
ioapic0: routing intpin 15 (ISA IRQ 15) to vector 54
ata1: [MPSAFE]
pci0: <serial bus, SMBus> at device 31.3 (no driver attached)
fdc0: <floppy drive controller> port 0x3f0-0x3f5,0x3f7 irq 6 drq 2 on =20=

acpi0
fdc0: ic_type 90 part_id 73
ioapic0: routing intpin 6 (ISA IRQ 6) to vector 55
fdc0: [MPSAFE]
fdc0: [FAST]
fd0: <1440-KB 3.5" drive> on fdc0 drive 0
atkbdc0: <Keyboard controller (i8042)> port 0x60,0x64 irq 1 on acpi0
atkbd0: <AT Keyboard> irq 1 on atkbdc0
atkbd: the current kbd controller command byte 0065
atkbd: keyboard ID 0x41ab (2)
kbdc: RESET_KBD return code:00fa
kbdc: RESET_KBD status:00aa
kbd0 at atkbd0
kbd0: atkbd0, AT 101/102 (2), config:0x0, flags:0x1d0000
ioapic0: routing intpin 1 (ISA IRQ 1) to vector 56
atkbd0: [GIANT-LOCKED]
psm0: unable to allocate IRQ
psmcpnp0: <PS/2 mouse port> irq 12 on acpi0
psm0: current command byte:0065
kbdc: TEST_AUX_PORT status:0000
kbdc: RESET_AUX return code:00fa
kbdc: RESET_AUX status:00aa
kbdc: RESET_AUX ID:0000
kbdc: RESET_AUX return code:00fa
kbdc: RESET_AUX status:00aa
kbdc: RESET_AUX ID:0000
psm: status 00 02 64
psm: status 1a 03 c8
psm: status 00 03 64
psm: status 00 03 64
psm: data 08 00 00
psm: status 10 00 64
psm: status 1a 03 c8
psm: status 00 02 64
psm0: <PS/2 Mouse> irq 12 on atkbdc0
ioapic0: routing intpin 12 (ISA IRQ 12) to vector 57
psm0: [GIANT-LOCKED]
psm0: model Generic PS/2 mouse, device ID 0-00, 3 buttons
psm0: config:00000000, flags:00000008, packet size:3
psm0: syncmask:c0, syncbits:00
sio0: irq maps: 0xca1 0xcb1 0xca1 0xca1
sio0: <16550A-compatible COM port> port 0x3f8-0x3ff irq 4 flags 0x10 =20
on acpi0
sio0: type 16550A, console
ioapic0: routing intpin 4 (ISA IRQ 4) to vector 58
ata: ata0 already exists; skipping it
ata: ata1 already exists; skipping it
atkbdc: atkbdc0 already exists; skipping it
fdc: fdc0 already exists; skipping it
sio: sio0 already exists; skipping it
pnp_identify: Trying Read_Port at 203
pnp_identify: Trying Read_Port at 243
pnp_identify: Trying Read_Port at 283
pnp_identify: Trying Read_Port at 2c3
pnp_identify: Trying Read_Port at 303
pnp_identify: Trying Read_Port at 343
pnp_identify: Trying Read_Port at 383
pnp_identify: Trying Read_Port at 3c3
PNP Identify complete
sc: sc0 already exists; skipping it
vga: vga0 already exists; skipping it
isa_probe_children: disabling PnP devices
isa_probe_children: probing non-PnP devices
pmtimer0 on isa0
orm0: <ISA Option ROMs> at iomem 0xc0000-0xc7fff,0xc8000-0xc8fff,=20
0xc9000-0xc9fff,0xec000-0xeffff on isa0
adv0: not probed (disabled)
aha0: not probed (disabled)
aic0: not probed (disabled)
bt0: not probed (disabled)
cs0: not probed (disabled)
ed0: not probed (disabled)
fe0: not probed (disabled)
ie0: not probed (disabled)
lnc0: not probed (disabled)
ppc0 failed to probe at irq 7 on isa0
sc0: <System console> at flags 0x100 on isa0
sc0: VGA <16 virtual consoles, flags=3D0x100>
sc0: fb0, kbd1, terminal emulator: sc (syscons terminal)
sio1: irq maps: 0xca1 0xca9 0xca1 0xca1
sio1 at port 0x2f8-0x2ff irq 3 on isa0
sio1: type 16550A
ioapic0: routing intpin 3 (ISA IRQ 3) to vector 59
sio2: not probed (disabled)
sio3: not probed (disabled)
sn0: not probed (disabled)
vga0: <Generic ISA VGA> at port 0x3c0-0x3df iomem 0xa0000-0xbffff on =20
isa0
vt0: not probed (disabled)
isa_probe_children: probing PnP devices
Device configuration finished.
Reducing kern.maxvnodes 134612 -> 100000
procfs registered
lapic: Divisor 2, Frequency 100003753 hz
Timecounter "TSC" frequency 3200125332 Hz quality 800
Timecounters tick every 1.000 msec
lo0: bpf attached
ata0-master: pio=3DPIO4 wdma=3DWDMA2 udma=3DUDMA33 cable=3D40 wire
acd0: <SAMSUNG CD-ROM SN-124/N103> CDROM drive at ata0 as master
acd0: read 4134KB/s (4134KB/s), 128KB buffer, UDMA33
acd0: Reads: CDR, CDRW, CDDA stream, packet
acd0: Writes:
acd0: Audio: play, 255 volume levels
acd0: Mechanism: ejectable tray, unlocked
acd0: Medium: no/blank disc
ata1-master: pio=3DPIO4 wdma=3DWDMA2 udma=3DUDMA133 cable=3D40 wire
ad2: 38146MB <Seagate ST340014AS 8.05> at ata1-master SATA150
ad2: 78125000 sectors [77504C/16H/63S] 16 sectors/interrupt 1 depth =20
queue
ad2: Intel check1 failed
ad2: Adaptec check1 failed
ad2: LSI (v3) check1 failed
ad2: LSI (v2) check1 failed
ad2: FreeBSD check1 failed
ATA PseudoRAID loaded
GEOM: new disk ad2
Trying to mount root from ufs:/dev/ad2s2a
start_init: trying /sbin/init
Loading configuration files.
Entropy harvesting: interrupts ethernet point_to_point kickstart.
swapon: adding /dev/ad2s2b as swap device
Starting file system checks:
/dev/ad2s2a: FILE SYSTEM CLEAN; SKIPPING CHECKS
/dev/ad2s2a: clean, 86792 free (2176 frags, 10577 blocks, 1.7% =20
fragmentation)
/dev/ad2s2e: FILE SYSTEM CLEAN; SKIPPING CHECKS
/dev/ad2s2e: clean, 126816 free (24 frags, 15849 blocks, 0.0% =20
fragmentation)
/dev/ad2s2f: FILE SYSTEM CLEAN; SKIPPING CHECKS
/dev/ad2s2f: clean, 10947148 free (166404 frags, 1347593 blocks, 1.0% =20=

fragmentation)
/dev/ad2s2d: FILE SYSTEM CLEAN; SKIPPING CHECKS
/dev/ad2s2d: clean, 81198 free (862 frags, 10042 blocks, 0.7% =20
fragmentation)
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2008-09-15 02:00:06 UTC
Responsible Changed
From-To: freebsd-i386->freebsd-bugs

reclassify.
Comment 4 Michael Scheidell 2008-10-03 20:09:11 UTC
lots of people have been reporting this problem since feb.     5.5 
boots, 6.2 boots, 6.3 doesn't, 7.0 doesn't.

some obscure patch somewhere (which we can't find anymore) fixed it.

here is dmsg for a 6.3 system with patch (that we can't find) that 
actually works.

want a dmsg for one that doesn't boot?  can't get it apparently.  can't 
boot!
would be nice if it works in 7.1 and 6.4 (I will send you a box with 5.5 
on it if you want)

Copyright (c) 1992-2008 The FreeBSD Project.
Copyright (c) 1979, 1980, 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
	The Regents of the University of California. All rights reserved.
FreeBSD is a registered trademark of The FreeBSD Foundation.
FreeBSD 6.3-RELEASE-p1 #0: Mon Apr 28 20:18:31 EDT 2008
    admin@somewhere
Timecounter "i8254" frequency 1193182 Hz quality 0
CPU: Intel(R) Pentium(R) 4 CPU 2.80GHz (2800.11-MHz 686-class CPU)
  Origin = "GenuineIntel"  Id = 0xf34  Stepping = 4
  Features=0xbfebfbff<FPU,VME,DE,PSE,TSC,MSR,PAE,MCE,CX8,APIC,SEP,MTRR,PGE,MCA,CMOV,PAT,PSE36,CLFLUSH,DTS,ACPI,MMX,FXSR,SSE,SSE2,SS,HTT,TM,PBE>
  Features2=0x441d<SSE3,RSVD2,MON,DS_CPL,CNXT-ID,xTPR>
  Logical CPUs per core: 2
real memory  = 1073479680 (1023 MB)
avail memory = 1045966848 (997 MB)
ACPI APIC Table: <DELL   PE750   >
FreeBSD/SMP: Multiprocessor System Detected: 2 CPUs
 cpu0 (BSP): APIC ID:  0
 cpu1 (AP): APIC ID:  1
ioapic0: Changing APIC ID to 2
ioapic1: Changing APIC ID to 3
ioapic0 <Version 2.0> irqs 0-23 on motherboard
ioapic1 <Version 2.0> irqs 24-47 on motherboard
acpi0: <DELL PE750> on motherboard
acpi0: Power Button (fixed)
Timecounter "ACPI-fast" frequency 3579545 Hz quality 1000
acpi_timer0: <24-bit timer at 3.579545MHz> port 0x808-0x80b on acpi0
cpu0: <ACPI CPU> on acpi0
cpu1: <ACPI CPU> on acpi0
pcib0: <ACPI Host-PCI bridge> port 0xcf8-0xcff on acpi0
pci0: <ACPI PCI bus> on pcib0
pcib1: <ACPI PCI-PCI bridge> at device 3.0 on pci0
pci1: <ACPI PCI bus> on pcib1
em0: <Intel(R) PRO/1000 Network Connection Version - 6.7.2> port 0xece0-0xecff mem 0xfe3e0000-0xfe3fffff irq 18 at device 1.0 on pci1
em0: Ethernet address: 00:11:43:cd:36:d8
pcib2: <ACPI PCI-PCI bridge> at device 28.0 on pci0
pci2: <ACPI PCI bus> on pcib2
em1: <Intel(R) PRO/1000 Network Connection Version - 6.7.2> port 0xdcc0-0xdcff mem 0xfe1e0000-0xfe1fffff,0xfe1c0000-0xfe1dffff irq 24 at device 1.0 on pci2
em1: Ethernet address: 00:30:64:05:ef:58
em2: <Intel(R) PRO/1000 Network Connection Version - 6.7.2> port 0xdc80-0xdcbf mem 0xfe1a0000-0xfe1bffff,0xfe180000-0xfe19ffff irq 25 at device 1.1 on pci2
em2: Ethernet address: 00:30:64:05:ef:59
uhci0: <UHCI (generic) USB controller> port 0xbce0-0xbcff irq 16 at device 29.0 on pci0
uhci0: [GIANT-LOCKED]
usb0: <UHCI (generic) USB controller> on uhci0
usb0: USB revision 1.0
uhub0: Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1
uhub0: 2 ports with 2 removable, self powered
uhci1: <UHCI (generic) USB controller> port 0xbcc0-0xbcdf irq 19 at device 29.1 on pci0
uhci1: [GIANT-LOCKED]
usb1: <UHCI (generic) USB controller> on uhci1
usb1: USB revision 1.0
uhub1: Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1
uhub1: 2 ports with 2 removable, self powered
pci0: <base peripheral> at device 29.4 (no driver attached)
pci0: <serial bus, USB> at device 29.7 (no driver attached)
pcib3: <ACPI PCI-PCI bridge> at device 30.0 on pci0
pci3: <ACPI PCI bus> on pcib3
em3: <Intel(R) PRO/1000 Network Connection Version - 6.7.2> port 0xccc0-0xccff mem 0xfdee0000-0xfdefffff irq 21 at device 2.0 on pci3
em3: Ethernet address: 00:11:43:cd:36:d9
pci3: <display, VGA> at device 14.0 (no driver attached)
isab0: <PCI-ISA bridge> at device 31.0 on pci0
isa0: <ISA bus> on isab0
atapci0: <Intel 6300ESB SATA150 controller> port 0x1f0-0x1f7,0x3f6,0x170-0x177,0x376,0xfea0-0xfeaf at device 31.2 on pci0
ata0: <ATA channel 0> on atapci0
ata1: <ATA channel 1> on atapci0
pci0: <serial bus, SMBus> at device 31.3 (no driver attached)
atkbdc0: <Keyboard controller (i8042)> port 0x60,0x64 irq 1 on acpi0
atkbd0: <AT Keyboard> irq 1 on atkbdc0
kbd0 at atkbd0
atkbd0: [GIANT-LOCKED]
sio0: <16550A-compatible COM port> port 0x3f8-0x3ff irq 4 flags 0x10 on acpi0
sio0: type 16550A
orm0: <ISA Option ROMs> at iomem 0xc0000-0xc7fff,0xc8000-0xc8fff,0xc9000-0xc9fff,0xec000-0xeffff on isa0
sc0: <System console> at flags 0x100 on isa0
sc0: VGA <16 virtual consoles, flags=0x300>
sio1: configured irq 3 not in bitmap of probed irqs 0
sio1: port may not be enabled
vga0: <Generic ISA VGA> at port 0x3c0-0x3df iomem 0xa0000-0xbffff on isa0
Timecounters tick every 1.000 msec
ipfw2 initialized, divert loadable, rule-based forwarding enabled, default to accept, logging disabled
acd0: CDROM <TEAC CD-ROM CD-224E/K.9A> at ata0-master UDMA33
ad2: 38146MB <Seagate ST340014AS 8.05> at ata1-master SATA150
SMP: AP CPU #1 Launched!
Trying to mount root from ufs:/dev/ad2s1a
bridge0: Ethernet address: aa:29:32:48:bd:5a
wan: link state changed to UP
con0: link state changed to UP



-- 
Michael Scheidell, CTO
Phone: 561-999-5000, x 1259
 > *| *SECNAP Network Security Corporation

    * Certified SNORT Integrator
    * Everything Channel Hot Product of 2008
    * Shaping Information Security Award 2008
    * CRN Magazine Top 40 Emerging Security Vendors

_________________________________________________________________________
This email has been scanned and certified safe by SpammerTrap(r). 
For Information please see http://www.spammertrap.com
_________________________________________________________________________
Comment 5 Michael Scheidell 2008-10-21 15:36:16 UTC
More information:

I have a dmidecode, dmesg.boot and pciconf from
A) old dell 750 (using a 6.3 kernel that we got to work by accident,  
don't remember how)
B) new dell 750 that will boot anything.

Biggest different seems to be a different motherboard.
new one doesn't have an acpi apci bios, has a dual core cpu, old one has 
hyperthread cpu.

I can build any kernel I want on the newer dell 750, it will boot just 
about anything.
three different kernels that booted on new dell won't boot on old one.

kernel that boots on old one, will boot on new one.

I will upload.

as a reminder, all systems, up and including freebsd 5.5 and 6.2 booted 
on all of these.
A 'fix' somewhere in 6.3 broke the pci bridge? sata controller? disk init?

7.0 didn't fix it either, so whatever was changed was changed in 7.0 also.

another reminder, and explanation.

Several months ago, when investigating this, looking at a lot of 
problems documented and found by google, one of our techs came across a 
fix.  we have a 6.3 kernel with that fix it it, but tech did not 
document it, and we have not been able to find fix or reproduce fix.

-- 
Michael Scheidell, CTO
Phone: 561-999-5000, x 1259
 > *| *SECNAP Network Security Corporation

    * Certified SNORT Integrator
    * King of Spam Filters, SC Magazine 2008
    * Information Security Award 2008, Info Security Products Guide
    * CRN Magazine Top 40 Emerging Security Vendors

_________________________________________________________________________
This email has been scanned and certified safe by SpammerTrap(r). 
For Information please see http://www.spammertrap.com
_________________________________________________________________________
Comment 6 Michael Scheidell 2008-10-22 16:04:01 UTC
i think its the acpi module.
you have to build it in the kernel, you have to make SURE you build it 
in kernel.

if you delete all the modules
 
rm /boot/modules

and you DON'T BUILD THE MODULES AT ALL, OR ERASE THEM WHEN DONE, and put 
device acpi in kernel, it should work.

I will complete testing.

-- 
Michael Scheidell, CTO
Phone: 561-999-5000, x 1259
 *| *SECNAP Network Security Corporation
 * Certified SNORT Integrator
 * King of Spam Filters, SC Magazine 2008
 * Information Security Award 2008, Info Security Products Guide
 * CRN Magazine Top 40 Emerging Security Vendors

_________________________________________________________________________
This email has been scanned and certified safe by SpammerTrap(r). 
For Information please see http://www.spammertrap.com
_________________________________________________________________________
Comment 7 corsmith 2008-11-12 14:29:14 UTC
Attached is a patch again 6-STABLE from yesterday that fixes the
problem on my Dell PowerEdge 750 with an Intel 6300ESB.

Effectively this patch reverses this commit by jhb on 2007/06/29:

http://www.freebsd.org/cgi/cvsweb.cgi/src/sys/i386/isa/clock.c.diff?r1=1.222.2.2;r2=1.222.2.3;only_with_tag=RELENG_6

I found this by checking out different dates between the 6.2 and 6.3
release dates for 6-STABLE until I found the commit that causes the
hard drive to go undetected.

To test patch, checkout the latest 6-STABLE and:

cat src-sys-i386-isa-clock-c_against-6-4-PRERELEASE.patch | patch -d /usr

The patch is untested on 7-STABLE but I'm sure that removing the same
function will fix that branch as well.  I do know that 7.0-RELEASE and
7.1-BETA2 exhibit the same regression.

-Corey Smith
Comment 8 John Baldwin freebsd_committer freebsd_triage 2008-11-12 16:10:47 UTC
So what the change does is merge a change from HEAD to change how DELAY() 
works.  Instead going out to the RTC (expensive) it sits in a spin loop 
polling the TSC.  Can you narrow down a specific DELAY() call in ATA that has 
a problem?  Also, are you using 'device cpufreq' at all?

-- 
John Baldwin
Comment 9 corsmith 2008-11-12 17:55:59 UTC
I can't say I understand why this fixes the problem :)  I just know
that the patch stops the issue from occurring.

2008-11-10's RELENG_6 + this patch with the GENERIC kernel config
works.  GENERIC doesn't have 'device cpufreq' in it.

If you can come up with a testing protocol I would be willing to give
it a go...  perhaps I could make a copy of DELAY() called DELAY2()
with DELAY() being the unpatched implementation and DELAY2() being the
patched version.  Then I could try test builds changing a single
DELAY() to DELAY2() in between each build.  Which ever one breaks is
probably the culprit.  There are 43 DELAY() calls in sys/dev/ata/ so
it make take a while to figure out.

Does that sound like a reasonable testing strategy?

-Corey Smith
Comment 10 corsmith 2008-11-17 15:52:29 UTC
On Wed, Nov 12, 2008 at 11:10 AM, John Baldwin <jhb@freebsd.org> wrote:
> Can you narrow down a specific DELAY() call in ATA that has
> a problem?

"Do we go 'on 10' or is it '9... 10.... GO!'?"

Attached is the minimal diff required to find the hard drive on a
PowerEdge 750 with the Intel 6300ESB SATA150 Controller.

-Corey Smith
Comment 11 corsmith 2008-11-18 15:30:11 UTC
On Mon, Nov 17, 2008 at 10:52 AM, Corey Smith <corsmith@gmail.com> wrote:
> Attached is the minimal diff required to find the hard drive on a
> PowerEdge 750 with the Intel 6300ESB SATA150 Controller.

It looks like query-pr is not liking gmail attachments so here is the
patch inline:

--- src.2008.11.11.02.00.00/sys/dev/ata/ata-chipset.c	Tue Nov 11 20:26:51 2008
+++ src/sys/dev/ata/ata-chipset.c	Mon Nov 17 15:36:22 2008
@@ -1937,7 +1937,7 @@
 	}
     }
     pci_write_config(parent, 0x92, pci_read_config(parent, 0x92, 2) &
~mask, 2);
-    DELAY(10);
+    DELAY(11);
     pci_write_config(parent, 0x92, pci_read_config(parent, 0x92, 2) | mask, 2);

     /* wait up to 1 sec for "connect well" */
Comment 12 satz 2008-11-21 04:41:45 UTC
I tried your first patch and it worked. I will try this patch next.

Thanks,
Greg

On Nov 18, 2008, at 8:30 AM, Corey Smith wrote:

> On Mon, Nov 17, 2008 at 10:52 AM, Corey Smith <corsmith@gmail.com>  
> wrote:
>> Attached is the minimal diff required to find the hard drive on a
>> PowerEdge 750 with the Intel 6300ESB SATA150 Controller.
>
> It looks like query-pr is not liking gmail attachments so here is the
> patch inline:
>
> --- src.2008.11.11.02.00.00/sys/dev/ata/ata-chipset.c	Tue Nov 11  
> 20:26:51 2008
> +++ src/sys/dev/ata/ata-chipset.c	Mon Nov 17 15:36:22 2008
> @@ -1937,7 +1937,7 @@
> 	}
>     }
>     pci_write_config(parent, 0x92, pci_read_config(parent, 0x92, 2) &
> ~mask, 2);
> -    DELAY(10);
> +    DELAY(11);
>     pci_write_config(parent, 0x92, pci_read_config(parent, 0x92, 2)  
> | mask, 2);
>
>     /* wait up to 1 sec for "connect well" */
>
> !DSPAM:4922df87236996920810825!
>
Comment 13 corsmith 2008-12-01 17:31:48 UTC
On Thu, Nov 20, 2008 at 11:41 PM, Greg Satz <satz@iranger.com> wrote:
> I tried your first patch and it worked. I will try this patch next.

Greg also tested the new patch with success.  Will it be possible to
put this change into 7.1-RELEASE ?

-Corey Smith
Comment 14 Michael Scheidell 2008-12-22 15:08:08 UTC
Looks like (at least) it didn't make it into 6.4 release, and also, the 
'delay(10)/ delay(11) seems to be why it seems intermentent, when a 
'fix' I thought I found worked, or, when SOMETIMES the old kernel won't 
even boot (after a 'nextboot -k testkernel') due to something hosing the 
acpi.

(poweroff and boot old kernel seemed to work every time)


-- 
Michael Scheidell, CTO
Phone: 561-999-5000, x 1259
 > *| *SECNAP Network Security Corporation

    * Certified SNORT Integrator
    * King of Spam Filters, SC Magazine 2008
    * Information Security Award 2008, Info Security Products Guide
    * CRN Magazine Top 40 Emerging Security Vendors

_________________________________________________________________________
This email has been scanned and certified safe by SpammerTrap(r). 
For Information please see http://www.secnap.com/products/spammertrap/
_________________________________________________________________________
Comment 15 satz 2010-01-04 02:00:24 UTC
I just upgraded to 7.1 and this patch wasn't present. I added it and  
my kernel will now boot successfully. Any chance
someone could please update the 7.1 tree with this patch?

Thanks,
Greg
Comment 16 satz 2010-01-04 03:17:35 UTC
[Trying again without my digital signature.]

I just upgraded to 7.1 and this patch wasn't present. I added it and  
my kernel will now boot successfully. Any chance
someone could please update the 7.1 tree with this patch?

Thanks,
Greg
Comment 17 commit-hook freebsd_committer 2015-11-15 10:58:12 UTC
A commit references this bug:

Author: mav
Date: Sun Nov 15 10:58:02 UTC 2015
New revision: 290855
URL: https://svnweb.freebsd.org/changeset/base/290855

Log:
  Increase reset assertion time from 10 to 100us.

  On my own tests I see no effect from this change, but I also can't
  reproduce the reported problem in general.

  PR:		127391
  PR:		204554
  Submitted by:	satz@iranger.com
  MFC after:	2 weeks

Changes:
  head/sys/dev/ata/chipsets/ata-intel.c
Comment 18 Alexander Motin freebsd_committer 2015-11-15 11:01:00 UTC
The patch is committed to FreeBSD head.
Comment 19 commit-hook freebsd_committer 2015-11-29 17:14:23 UTC
A commit references this bug:

Author: mav
Date: Sun Nov 29 17:14:05 UTC 2015
New revision: 291456
URL: https://svnweb.freebsd.org/changeset/base/291456

Log:
  MFC r290855: Increase reset assertion time from 10 to 100us.

  On my own tests I see no effect from this change, but I also can't
  reproduce the reported problem in general.

  PR:		127391
  PR:		204554
  Submitted by:	satz@iranger.com

Changes:
_U  stable/10/
  stable/10/sys/dev/ata/chipsets/ata-intel.c
Comment 20 commit-hook freebsd_committer 2015-11-29 17:15:26 UTC
A commit references this bug:

Author: mav
Date: Sun Nov 29 17:14:46 UTC 2015
New revision: 291457
URL: https://svnweb.freebsd.org/changeset/base/291457

Log:
  MFC r290855: Increase reset assertion time from 10 to 100us.

  On my own tests I see no effect from this change, but I also can't
  reproduce the reported problem in general.

  PR:             127391
  PR:             204554
  Submitted by:   satz@iranger.com

Changes:
_U  stable/9/
_U  stable/9/sys/
_U  stable/9/sys/dev/
  stable/9/sys/dev/ata/chipsets/ata-intel.c